package com.red.circle.other.app.service.material;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.common.business.dto.cmd.app.AppIdLongCmd;
import com.red.circle.other.app.dto.clientobject.material.UserEmojiBagCO;
import java.util.List;

/**
 * 表情包服务.
 *
 * @author pengliang on 2021/10/25
 */
public interface EmojiService {

  List<UserEmojiBagCO> listByUserEmoji(AppExtCommand cmd);

  List<UserEmojiBagCO> listEmojiAll(AppExtCommand cmd);

  void purchaseEmoji(AppIdLongCmd cmd);

}
